%global momorel 1
%global md5sum_src0 0eb951fd0fa9542dbe4fc3530b81a3b6

Summary: Replace the Xlib interface to the X Window System
Name: libxcb
Version: 1.0
Release: %{momorel}m%{?dist}
License: MIT/X
Group: System Environment/Libraries
URL: http://www.x.org/
#%%global xorgurl http://xorg.freedesktop.org/releases/individual
%global xorgurl http://xcb.freedesktop.org/dist/
%NoSource 0 %{xorgurl}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: libxcb-0.9.93-xcb_xlib_no_assert.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: xorg-x11-proto-devel >= 7.2-2
BuildRequires: libpthread-stubs 

#Obsoletes: XFree86-libs, xorg-x11-libs

%description
The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a small footprint, latency hiding, direct access to the protocol, improved threading support, and extensibility.

%package devel
Summary: X.Org X11 libxcb development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

#Obsoletes: XFree86-devel, xorg-x11-devel

%description devel
X.Org X11 libxcb development package

%prep
%setup -q

%patch0 -p1 -b .xcb_xlib_noassert

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf --preserve-root %{buildroot}

%makeinstall

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL 
%{_libdir}/libxcb.so.1
%{_libdir}/libxcb.so.1.0.0
%{_libdir}/libxcb-composite.so.0
%{_libdir}/libxcb-composite.so.0.0.0
%{_libdir}/libxcb-damage.so.0
%{_libdir}/libxcb-damage.so.0.0.0
%{_libdir}/libxcb-dpms.so.0
%{_libdir}/libxcb-dpms.so.0.0.0
%{_libdir}/libxcb-glx.so.0
%{_libdir}/libxcb-glx.so.0.0.0
%{_libdir}/libxcb-randr.so.0
%{_libdir}/libxcb-randr.so.0.0.0
%{_libdir}/libxcb-record.so.0
%{_libdir}/libxcb-record.so.0.0.0
%{_libdir}/libxcb-render.so.0
%{_libdir}/libxcb-render.so.0.0.0
%{_libdir}/libxcb-res.so.0
%{_libdir}/libxcb-res.so.0.0.0
%{_libdir}/libxcb-screensaver.so.0
%{_libdir}/libxcb-screensaver.so.0.0.0
%{_libdir}/libxcb-shape.so.0
%{_libdir}/libxcb-shape.so.0.0.0
%{_libdir}/libxcb-shm.so.0
%{_libdir}/libxcb-shm.so.0.0.0
%{_libdir}/libxcb-sync.so.0
%{_libdir}/libxcb-sync.so.0.0.0
%{_libdir}/libxcb-xevie.so.0
%{_libdir}/libxcb-xevie.so.0.0.0
%{_libdir}/libxcb-xf86dri.so.0
%{_libdir}/libxcb-xf86dri.so.0.0.0
%{_libdir}/libxcb-xfixes.so.0
%{_libdir}/libxcb-xfixes.so.0.0.0
%{_libdir}/libxcb-xinerama.so.0
%{_libdir}/libxcb-xinerama.so.0.0.0
%{_libdir}/libxcb-xlib.so.0
%{_libdir}/libxcb-xlib.so.0.0.0
%{_libdir}/libxcb-xprint.so.0
%{_libdir}/libxcb-xprint.so.0.0.0
%{_libdir}/libxcb-xtest.so.0
%{_libdir}/libxcb-xtest.so.0.0.0
%{_libdir}/libxcb-xv.so.0
%{_libdir}/libxcb-xv.so.0.0.0
%{_libdir}/libxcb-xvmc.so.0
%{_libdir}/libxcb-xvmc.so.0.0.0

%files devel
%defattr(-,root,root,-)
#%dir %{_includedir}/X11/extensions
%{_includedir}/xcb/bigreq.h
%{_includedir}/xcb/composite.h
%{_includedir}/xcb/damage.h
%{_includedir}/xcb/dpms.h
%{_includedir}/xcb/glx.h
%{_includedir}/xcb/randr.h
%{_includedir}/xcb/record.h
%{_includedir}/xcb/render.h
%{_includedir}/xcb/res.h
%{_includedir}/xcb/screensaver.h
%{_includedir}/xcb/shape.h
%{_includedir}/xcb/shm.h
%{_includedir}/xcb/sync.h
%{_includedir}/xcb/xc_misc.h
%{_includedir}/xcb/xcb.h
%{_includedir}/xcb/xcbext.h
%{_includedir}/xcb/xcbxlib.h
%{_includedir}/xcb/xevie.h
%{_includedir}/xcb/xf86dri.h
%{_includedir}/xcb/xfixes.h
%{_includedir}/xcb/xinerama.h
%{_includedir}/xcb/xprint.h
%{_includedir}/xcb/xproto.h
%{_includedir}/xcb/xtest.h
%{_includedir}/xcb/xv.h
%{_includedir}/xcb/xvmc.h
%if %{with_static}
%{_libdir}/libxcb.a
%{_libdir}/libxcb-composite.a
%{_libdir}/libxcb-damage.a
%{_libdir}/libxcb-dpms.a
%{_libdir}/libxcb-glx.a
%{_libdir}/libxcb-randr.a
%{_libdir}/libxcb-record.a
%{_libdir}/libxcb-render.a
%{_libdir}/libxcb-res.a
%{_libdir}/libxcb-screensaver.a
%{_libdir}/libxcb-shape.a
%{_libdir}/libxcb-shm.a
%{_libdir}/libxcb-sync.a
%{_libdir}/libxcb-xevie.a
%{_libdir}/libxcb-xf86dri.a
%{_libdir}/libxcb-xfixes.a
%{_libdir}/libxcb-xinerama.a
%{_libdir}/libxcb-xlib.a
%{_libdir}/libxcb-xprint.a
%{_libdir}/libxcb-xtest.a
%{_libdir}/libxcb-xv.a
%{_libdir}/libxcb-xvmc.a
%endif
%{_libdir}/libxcb.so
%{_libdir}/libxcb-composite.so
%{_libdir}/libxcb-damage.so
%{_libdir}/libxcb-dpms.so
%{_libdir}/libxcb-glx.so
%{_libdir}/libxcb-randr.so
%{_libdir}/libxcb-record.so
%{_libdir}/libxcb-render.so
%{_libdir}/libxcb-res.so
%{_libdir}/libxcb-screensaver.so
%{_libdir}/libxcb-shape.so
%{_libdir}/libxcb-shm.so
%{_libdir}/libxcb-sync.so
%{_libdir}/libxcb-xevie.so
%{_libdir}/libxcb-xf86dri.so
%{_libdir}/libxcb-xfixes.so
%{_libdir}/libxcb-xinerama.so
%{_libdir}/libxcb-xlib.so
%{_libdir}/libxcb-xprint.so
%{_libdir}/libxcb-xtest.so
%{_libdir}/libxcb-xv.so
%{_libdir}/libxcb-xvmc.so
%{_libdir}/pkgconfig/xcb-composite.pc
%{_libdir}/pkgconfig/xcb-damage.pc
%{_libdir}/pkgconfig/xcb-dpms.pc
%{_libdir}/pkgconfig/xcb-glx.pc
%{_libdir}/pkgconfig/xcb-randr.pc
%{_libdir}/pkgconfig/xcb-record.pc
%{_libdir}/pkgconfig/xcb-render.pc
%{_libdir}/pkgconfig/xcb-res.pc
%{_libdir}/pkgconfig/xcb-screensaver.pc
%{_libdir}/pkgconfig/xcb-shape.pc
%{_libdir}/pkgconfig/xcb-shm.pc
%{_libdir}/pkgconfig/xcb-sync.pc
%{_libdir}/pkgconfig/xcb-xevie.pc
%{_libdir}/pkgconfig/xcb-xf86dri.pc
%{_libdir}/pkgconfig/xcb-xfixes.pc
%{_libdir}/pkgconfig/xcb-xinerama.pc
%{_libdir}/pkgconfig/xcb-xlib.pc
%{_libdir}/pkgconfig/xcb-xprint.pc
%{_libdir}/pkgconfig/xcb-xtest.pc
%{_libdir}/pkgconfig/xcb-xv.pc
%{_libdir}/pkgconfig/xcb-xvmc.pc
%{_libdir}/pkgconfig/xcb.pc
%{_datadir}/doc/libxcb/*

%changelog
* Wed Dec  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0-1m)
- update 1.0

* Fri Nov 10 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.93-2m)
- add patch libxcb-0.9.93-xcb_xlib_no_assert.patch
-- disable xcb_xlib assert()

* Wed Nov  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.93-1m)
- initial commit

